Imagick::shaveImage
Imagick::sigmoidalContrastImage
The Imagick class
PHP Manual

# Imagick::shearImage

(No version information available, might be only in CVS)

Imagick::shearImage — Creating a parallelogram

### Description

bool Imagick::shearImage ( mixed `$background` , float `$x_shear` , float `$y_shear` )
Warning

This function is currently not documented; only its argument list is available.

Slides one edge of an image along the X or Y axis, creating a parallelogram. An X direction shear slides an edge along the X axis, while a Y direction shear slides an edge along the Y axis. The amount of the shear is controlled by a shear angle. For X direction shears, x_shear is measured relative to the Y axis, and similarly, for Y direction shears y_shear is measured relative to the X axis. Empty triangles left over from shearing the image are filled with the background color.

### Parameters

`background`

  The background color

`x_shear`

  The number of degrees to shear on the x axis

`y_shear`

  The number of degrees to shear on the y axis

### Return Values

Returns `TRUE` on success.

### ChangeLog

Version | Description
--- | ---
2.1.0 | Now allows a string representing the color as the first parameter. Previous versions allow only an ImagickPixel object.

Imagick::shaveImage
Imagick::sigmoidalContrastImage
The Imagick class
PHP Manual